## VOICE Originate USSD request VOICE Originate USSD request |

## Functions

QmiMessageVoiceOriginateUssdInput * | qmi_message_voice_originate_ussd_input_new ()
QmiMessageVoiceOriginateUssdInput * | qmi_message_voice_originate_ussd_input_ref ()
void | qmi_message_voice_originate_ussd_input_unref ()
gboolean | qmi_message_voice_originate_ussd_input_get_uss_data ()
gboolean | qmi_message_voice_originate_ussd_input_set_uss_data ()
QmiMessageVoiceOriginateUssdOutput * | qmi_message_voice_originate_ussd_output_ref ()
void | qmi_message_voice_originate_ussd_output_unref ()
gboolean | qmi_message_voice_originate_ussd_output_get_uss_data_utf16 ()
gboolean | qmi_message_voice_originate_ussd_output_get_call_control_supplementary_service_type ()
gboolean | qmi_message_voice_originate_ussd_output_get_call_id ()
gboolean | qmi_message_voice_originate_ussd_output_get_call_control_result_type ()
gboolean | qmi_message_voice_originate_ussd_output_get_uss_data ()
gboolean | qmi_message_voice_originate_ussd_output_get_alpha_identifier ()
gboolean | qmi_message_voice_originate_ussd_output_get_failure_cause ()
gboolean | qmi_message_voice_originate_ussd_output_get_result ()
void | qmi_client_voice_originate_ussd ()
QmiMessageVoiceOriginateUssdOutput * | qmi_client_voice_originate_ussd_finish ()

## Types and Values

| QmiMessageVoiceOriginateUssdInput
| QmiMessageVoiceOriginateUssdOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageVoiceOriginateUssdInput
        ╰── QmiMessageVoiceOriginateUssdOutput

## Description

## Functions

### qmi_message_voice_originate_ussd_input_new ()

    QmiMessageVoiceOriginateUssdInput *
    qmi_message_voice_originate_ussd_input_new
                                   (void);

Allocates a new QmiMessageVoiceOriginateUssdInput.

#### Returns

the newly created QmiMessageVoiceOriginateUssdInput. The returned value should be freed with `qmi_message_voice_originate_ussd_input_unref()`.

Since: 1.26

### qmi_message_voice_originate_ussd_input_ref ()

    QmiMessageVoiceOriginateUssdInput *
    qmi_message_voice_originate_ussd_input_ref
                                   (QmiMessageVoiceOriginateUssdInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageVoiceOriginateUssdInput. |

#### Returns

the new reference to `self` .

Since: 1.26

### qmi_message_voice_originate_ussd_input_unref ()

    void
    qmi_message_voice_originate_ussd_input_unref
                                   (QmiMessageVoiceOriginateUssdInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageVoiceOriginateUssdInput. |

Since: 1.26

### qmi_message_voice_originate_ussd_input_get_uss_data ()

    gboolean
    qmi_message_voice_originate_ussd_input_get_uss_data
                                   (QmiMessageVoiceOriginateUssdInput *self,
                                    QmiVoiceUssDataCodingScheme *value_uss_data_data_coding_scheme,
                                    GArray **value_uss_data_data,
                                    GError **error);

Get the 'USS Data' field from `self` .

#### Parameters

self | a QmiMessageVoiceOriginateUssdInput. |
value_uss_data_data_coding_scheme | a placeholder for the output QmiVoiceUssDataCodingScheme, or `NULL` if not required. | [out][optional]
value_uss_data_data | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][optional][element-type guint8][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_voice_originate_ussd_input_set_uss_data ()

    gboolean
    qmi_message_voice_originate_ussd_input_set_uss_data
                                   (QmiMessageVoiceOriginateUssdInput *self,
                                    QmiVoiceUssDataCodingScheme value_uss_data_data_coding_scheme,
                                    GArray *value_uss_data_data,
                                    GError **error);

Set the 'USS Data' field in the message.

#### Parameters

self | a QmiMessageVoiceOriginateUssdInput. |
value_uss_data_data_coding_scheme | a QmiVoiceUssDataCodingScheme. |
value_uss_data_data | a GArray of guint8 elements. A new reference to `value_uss_data_data` will be taken. | [in][element-type guint8]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_voice_originate_ussd_output_ref ()

    QmiMessageVoiceOriginateUssdOutput *
    qmi_message_voice_originate_ussd_output_ref
                                   (QmiMessageVoiceOriginateUssdOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageVoiceOriginateUssdOutput. |

#### Returns

the new reference to `self` .

Since: 1.26

### qmi_message_voice_originate_ussd_output_unref ()

    void
    qmi_message_voice_originate_ussd_output_unref
                                   (QmiMessageVoiceOriginateUssdOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageVoiceOriginateUssdOutput. |

Since: 1.26

### qmi_message_voice_originate_ussd_output_get_uss_data_utf16 ()

    gboolean
    qmi_message_voice_originate_ussd_output_get_uss_data_utf16
                                   (QmiMessageVoiceOriginateUssdOutput *self,
                                    GArray **value_uss_data_utf16,
                                    GError **error);

Get the 'USS Data UTF16' field from `self` .

#### Parameters

self | a QmiMessageVoiceOriginateUssdOutput. |
value_uss_data_utf16 | a placeholder for the output GArray of guint16 elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][optional][element-type guint16][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_voice_originate_ussd_output_get_call_control_supplementary_service_type ()

    gboolean
    qmi_message_voice_originate_ussd_output_get_call_control_supplementary_service_type
                                   (QmiMessageVoiceOriginateUssdOutput *self,
                                    QmiVoiceCallControlSupplementaryServiceType *value_call_control_supplementary_service_type,
                                    GError **error);

Get the 'Call Control Supplementary Service Type' field from `self` .

#### Parameters

self | a QmiMessageVoiceOriginateUssdOutput. |
value_call_control_supplementary_service_type | a placeholder for the output QmiVoiceCallControlSupplementaryServiceType, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_voice_originate_ussd_output_get_call_id ()

    gboolean
    qmi_message_voice_originate_ussd_output_get_call_id
                                   (QmiMessageVoiceOriginateUssdOutput *self,
                                    guint8 *value_call_id,
                                    GError **error);

Get the 'Call ID' field from `self` .

#### Parameters

self | a QmiMessageVoiceOriginateUssdOutput. |
value_call_id | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_voice_originate_ussd_output_get_call_control_result_type ()

    gboolean
    qmi_message_voice_originate_ussd_output_get_call_control_result_type
                                   (QmiMessageVoiceOriginateUssdOutput *self,
                                    QmiVoiceCallControlResultType *value_call_control_result_type,
                                    GError **error);

Get the 'Call Control Result Type' field from `self` .

#### Parameters

self | a QmiMessageVoiceOriginateUssdOutput. |
value_call_control_result_type | a placeholder for the output QmiVoiceCallControlResultType, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_voice_originate_ussd_output_get_uss_data ()

    gboolean
    qmi_message_voice_originate_ussd_output_get_uss_data
                                   (QmiMessageVoiceOriginateUssdOutput *self,
                                    QmiVoiceUssDataCodingScheme *value_uss_data_data_coding_scheme,
                                    GArray **value_uss_data_data,
                                    GError **error);

Get the 'USS Data' field from `self` .

#### Parameters

self | a QmiMessageVoiceOriginateUssdOutput. |
value_uss_data_data_coding_scheme | a placeholder for the output QmiVoiceUssDataCodingScheme, or `NULL` if not required. | [out][optional]
value_uss_data_data | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][optional][element-type guint8][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_voice_originate_ussd_output_get_alpha_identifier ()

    gboolean
    qmi_message_voice_originate_ussd_output_get_alpha_identifier
                                   (QmiMessageVoiceOriginateUssdOutput *self,
                                    QmiVoiceAlphaDataCodingScheme *value_alpha_identifier_data_coding_scheme,
                                    GArray **value_alpha_identifier_alpha,
                                    GError **error);

Get the 'Alpha Identifier' field from `self` .

#### Parameters

self | a QmiMessageVoiceOriginateUssdOutput. |
value_alpha_identifier_data_coding_scheme | a placeholder for the output QmiVoiceAlphaDataCodingScheme, or `NULL` if not required. | [out][optional]
value_alpha_identifier_alpha | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][optional][element-type guint8][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_voice_originate_ussd_output_get_failure_cause ()

    gboolean
    qmi_message_voice_originate_ussd_output_get_failure_cause
                                   (QmiMessageVoiceOriginateUssdOutput *self,
                                    QmiVoiceCallEndReason *value_failure_cause,
                                    GError **error);

Get the 'Failure Cause' field from `self` .

#### Parameters

self | a QmiMessageVoiceOriginateUssdOutput. |
value_failure_cause | a placeholder for the output QmiVoiceCallEndReason, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_voice_originate_ussd_output_get_result ()

    gboolean
    qmi_message_voice_originate_ussd_output_get_result
                                   (QmiMessageVoiceOriginateUssdOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageVoiceOriginateUssdOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.26

### qmi_client_voice_originate_ussd ()

    void
    qmi_client_voice_originate_ussd (QmiClientVoice *self,
                                     QmiMessageVoiceOriginateUssdInput *input,
                                     guint timeout,
                                     GCancellable *cancellable,
                                     GAsyncReadyCallback callback,
                                     gpointer user_data);

Asynchronously sends a Originate USSD request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_voice_originate_ussd_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientVoice. |
input | a QmiMessageVoiceOriginateUssdInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.26

### qmi_client_voice_originate_ussd_finish ()

    QmiMessageVoiceOriginateUssdOutput *
    qmi_client_voice_originate_ussd_finish
                                   (QmiClientVoice *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_voice_originate_ussd()`.

#### Parameters

self | a QmiClientVoice. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_voice_originate_ussd()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageVoiceOriginateUssdOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_voice_originate_ussd_output_unref()`.

Since: 1.26

## Types and Values

### QmiMessageVoiceOriginateUssdInput

    typedef struct _QmiMessageVoiceOriginateUssdInput QmiMessageVoiceOriginateUssdInput;

The QmiMessageVoiceOriginateUssdInput structure contains private data and should only be accessed using the provided API.

Since: 1.26

### QmiMessageVoiceOriginateUssdOutput

    typedef struct _QmiMessageVoiceOriginateUssdOutput QmiMessageVoiceOriginateUssdOutput;

The QmiMessageVoiceOriginateUssdOutput structure contains private data and should only be accessed using the provided API.

Since: 1.26